## org.hibernate.transaction
Class SunONETransactionManagerLookup

    java.lang.Object
      org.hibernate.transaction.JNDITransactionManagerLookup
          org.hibernate.transaction.SunONETransactionManagerLookup

All Implemented Interfaces:
  TransactionManagerLookup

    public class SunONETransactionManagerLookup

extends JNDITransactionManagerLookup

`TransactionManagerLookup` strategy for Sun ONE Application Server 7 and above

Author:
  Robert Davidson, Sanjeev Krishnan, Emmanuel Bernard

Constructor Summary
`SunONETransactionManagerLookup()`

Method Summary
`protected String` `getName()` Get the JNDI namespace under wich we can locate the `TransactionManager`.
`String` `getUserTransactionName()` Return the JNDI namespace of the JTA `UserTransaction` for this platform or `null`; optional operation.

Methods inherited from class org.hibernate.transaction.JNDITransactionManagerLookup
`getTransactionIdentifier, getTransactionManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SunONETransactionManagerLookup

    public SunONETransactionManagerLookup()

Method Detail

### getName

    protected String getName()

  Get the JNDI namespace under wich we can locate the `TransactionManager`.

  Specified by:
    `getName` in class `JNDITransactionManagerLookup`
  Returns:
    The `TransactionManager` JNDI namespace

### getUserTransactionName

    public String getUserTransactionName()

  Return the JNDI namespace of the JTA `UserTransaction` for this platform or `null`; optional operation.

  Returns:
    The JNDI namespace where we can locate the `UserTransaction` for this platform.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.